Skip to main content
GET
/
statements
List statements
curl --request GET \
  --url https://api.synctera.com/v1/statements \
  --header 'Authorization: Bearer <token>'
{
  "statements": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "billing_period_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "credit_summary": {
        "amount_over_limit": 100000,
        "amount_past_due": 100000,
        "apr": 123,
        "balance_for_interest": 123,
        "credit_limit": 123,
        "disclosure": "We have told the credit bureau(s) about a late payment, missed payment or other default on your account. This information may be reflected in your credit report.",
        "disputed_balance": 123,
        "fees": 123,
        "fees_ytd": 123,
        "interest": 123,
        "interest_ytd": 123,
        "is_past_due": true,
        "last_payment_date": "2023-12-25",
        "minimum_payment_due": 123,
        "payment_due": 123,
        "payment_due_date": "2023-12-25",
        "payments_received": 123
      },
      "end_date": "2023-12-25",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "issue_date": "2023-12-25",
      "saving_summary": {
        "accrual_days": 123,
        "apy": 550,
        "interest_earned": 150,
        "interest_earned_previous_month": 150,
        "interest_earned_previous_year": 10000,
        "interest_earned_ytd": 10000
      },
      "security_account_summary": {
        "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "account_number": "<string>",
        "account_type": "<string>",
        "apy": 550,
        "closing_balance": 100000,
        "disclosure": "<string>",
        "interest": 150,
        "interest_previous_month": 150,
        "interest_previous_year": 10000,
        "interest_ytd": 10000,
        "opening_balance": 100000
      },
      "start_date": "2023-12-25"
    }
  ],
  "next_page_token": "a8937a0d"
}

Documentation Index

Fetch the complete documentation index at: https://docs.synctera.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

billing_period_id
string<uuid>

Filter statements by billing period

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

account_id
string<uuid>
required

The account's unique identifier provided by Synctera

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

Response

List of statements for a given account

statements
Statement · object[]
required

Array of statements

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"